Sections

DirectX 10 and Vista required for Stormrise PC

Wednesday, 4th March 2009 21:30 GMT By Stephany Nunneley

stormrise

Looks like if you want to play Stormrise on PC you better get an upgrade if you already haven’t: apparently the RTS will be one of the first to require both DirectX 10 and Vista.

“Stormrise has been designed for DirectX 10 and Vista only right from the start,” said Stormrise lead designer Artem Kulakov, who later clarified: “Vista only. DX10 only. No fallback option. We have never suggested this or hinted at it, so it shouldn’t be a surprise.”

“DX10 has offered a lot of advantages over DX9,” he added. “First of all, DirectX 10 allowed us to simplify the rendering engine.

“It matches capabilities of next generation consoles better than DX9, which is important for us considering that Stormrise is a multi-platform title. We had fewer driver-specific compatibility issues with Stormrise compare to our previous games released with DX9.”

Game’s out this month for PC, PS3 and Xbox 360.

Full thing through the link. Thanks, Shacknews.

Breaking news

6 Comments

Sign in to post a comment.

  1. crippledhooba

    That aint going to make me buy vista, I’ll wait for windows 7 thanks.

    #1 5 years ago
  2. ShiroGamer

    gotta love torrents

    #2 5 years ago
  3. Whizzo

    Releasing a DX10 only game is very, very silly.

    #3 5 years ago
  4. Kalain

    I was looking forward to this. Guess I’ll have to wait until windows 7 is out with DX 10.1 or whatever version is native to it.

    #4 5 years ago
  5. endgame

    then i’m stormrise rdy. cewl! :)

    #5 5 years ago
  6. DaMan

    this is bullshit. they can go fuck themselves with their DX10 and Vista.

    thank fuck I don’t play strategies =))

    #6 5 years ago